package com.bonus.sgzb.material.domain;

import com.alibaba.excel.annotation.ExcelProperty;
import com.bonus.sgzb.base.api.domain.SltAgreementInfo;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2024/8/15 - 19:44
 */
public class MonthRepairInfo {
    /**
     * 领料数量
     */
//    @Excel(name = "数量",sort = 4)
    @ExcelProperty(index = 4, value = "数量")
    private String num;

    public String getNum() {
        return num;
    }

    public void setNum(String num) {
        this.num = num;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getLeasePrice() {
        return leasePrice;
    }

    public void setLeasePrice(String leasePrice) {
        this.leasePrice = leasePrice;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getModelName() {
        return modelName;
    }

    public void setModelName(String modelName) {
        this.modelName = modelName;
    }

    public String getNuitName() {
        return nuitName;
    }

    public void setNuitName(String nuitName) {
        this.nuitName = nuitName;
    }

    public String getLeaseDays() {
        return leaseDays;
    }

    public void setLeaseDays(String leaseDays) {
        this.leaseDays = leaseDays;
    }

    public String getCosts() {
        return costs;
    }

    public void setCosts(String costs) {
        this.costs = costs;
    }

    public String getRealCosts() {
        return realCosts;
    }

    public void setRealCosts(String realCosts) {
        this.realCosts = realCosts;
    }

    public String getCostBearingParty() {
        return costBearingParty;
    }

    public void setCostBearingParty(String costBearingParty) {
        this.costBearingParty = costBearingParty;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    /**
     * 领料时间
     */
//    @Excel(name = "开始日期",sort = 6)
    @ExcelProperty(index = 6, value = "开始日期")
    private String startTime;
    /**
     * 退料时间
     */
//    @Excel(name = "结算日期",sort = 7)
    @ExcelProperty(index = 7, value = "结算日期")
    private String endTime;
    /**
     * 租赁单价
     */
//    @Excel(name = "台班费单价（元/天）",sort = 5)
    @ExcelProperty(index = 5, value = "台班费单价（元/天）")
    private String leasePrice;

    /**
     * 项目名称
     */
//    @Excel(name = "领用单位")
    @ExcelProperty(index = 11,value = "领用单位")
    private String unitName;
    /**
     * 工程名称
     */
//    @Excel(name = "工程名称")
    @ExcelProperty(index = 12,value = "工程名称")
    private String projectName;
    /**
     * 设备名称
     */
//    @Excel(name = "设备名称",sort = 1)
    @ExcelProperty(index = 1, value = "设备名称")
    private String typeName;
    /**
     * 规格型号
     */
//    @Excel(name = "规格型号", sort = 2)
    @ExcelProperty(index = 2, value = "规格型号")
    private String modelName;
    /**
     * 计量单位
     */
//    @Excel(name = "单位", sort = 3)
    @ExcelProperty(index = 3, value = "单位")
    private String nuitName;
    /**
     * 租赁天数
     */
//    @Excel(name = "结算天数",sort = 8)
    @ExcelProperty(index = 8, value = "结算天数")
    private String leaseDays;
    /**
     * 租赁费用
     */
//    @Excel(name = "结算金额",sort = 9)
    @ExcelProperty(index = 9, value = "结算金额")
    private String costs;

    /**
     * 真实租赁费用
     */
//    @Excel(name = "本月暂计金额",sort = 10)
    @ExcelProperty(index = 10, value = "本月暂计金额")
    private String realCosts;

    /**
     * 费用承担方
     */
//    @Excel(name = "费用承担方(01项目,03分包)")
    @ExcelProperty(value = "费用承担方(01项目,03分包)")
    private String costBearingParty;
    /**
     * 月份
     */
//    @Excel(name = "月份")
    @ExcelProperty(value = "月份")
    private String month;
}
